/* ==========================================================================*/
/* - - - - - - - - - -  P R O C S I G N A L , H  - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*	Created   07-10-2004   M. Wheatley                                       */
/*	Modified  08-09-2004   MW                                                */
/*.........................................................................  */
/* PROCSIGNAL Module Include File                                            */
/*.........................................................................  */
#ifndef PROCSIGNAL_MODULE
#define PROCSIGNAL_MODULE

/*>>>>>>>>>>>>>>>>>>>>>> Global Defines <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

/*>>>>>>>>>>>>>>>>>>>>>>> External memory <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
extern int TicPos;
extern int SecSyncBuf[];
extern int RawDataBuf[];
extern char MinSyncQuality;

/*>>>>>>>>>>>>>>>>>>>>>> External functions <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
extern void InitProcSignal( void );
extern void ProcInput( fractional* pIn);
extern void FindSecSync(void);
extern void FindMinSync(void);
extern char CalcBit(void );

#endif

